// file: mm_delete_0.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"
 
// method: delete_cc
//
// arguments:
//  Link_node* node : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input link list node and puts it in the free
// nodes list
//
logical_1 Memory_manager::delete_cc(Link_node* node_a) {

  // clear the node
  //
  node_a->set_prev_cc((Link_node*)NULL);
  node_a->set_next_cc((Link_node*)NULL);
  node_a->set_item_cc((void_p)NULL);
  
  // insert the incoming node in the node list
  //
  node_a->insert_cc(node_list_d);
  node_list_d = node_a;
  
  // increment free node count
  //
  node_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
